import java.applet.*;
import java.awt.*;

public class EX05K extends Applet
{
	public void init()
	{
        GridBagLayout layout = new GridBagLayout(); 
        GridBagConstraints gbc = new GridBagConstraints(); 

        setLayout(layout); 

		// add the first button
        gbc.fill = GridBagConstraints.BOTH; 
        Button button = new Button("Top Left"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// add a button to the same row
        gbc.gridwidth = GridBagConstraints.RELATIVE; 
        button = new Button("Top Center"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// place a final button on the first row
        gbc.gridwidth = GridBagConstraints.REMAINDER; 
        button = new Button("Top Right"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// create a  button the width of the applet
		gbc.weighty = 1.0;
        button = new Button("Full Row"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// create a tall button along the left side
        gbc.gridwidth = 1;                   
        gbc.gridheight = 2; 
        gbc.weighty = 1.0; 
        button = new Button("Tall, Left Side"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// create a skinny button to the right edge
        gbc.weighty = 0.0;                   
        gbc.gridwidth = GridBagConstraints.REMAINDER; 
        gbc.gridheight = 1;                 
        button = new Button("Skinny Wide Button"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// create a button in the middle of the bottom
        gbc.gridwidth = GridBagConstraints.RELATIVE; 
        button = new Button("Bottom Middle"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		// create a button at the bottom right
        gbc.gridwidth = GridBagConstraints.REMAINDER;
        button = new Button("Bottom Right"); 
        layout.setConstraints(button, gbc); 
        add(button); 

		resize(320, 240);
	}
}
